@echo off
SETLOCAL EnableDelayedExpansion
set errorlogFile="error.log"
set "codec="
set start=%time%
if %2.==/QSV. (
  set codec=-hwaccel qsv -c:v h264_qsv
)
ffmpeg -v error %codec% -i %1 -f null - >error.log 2>&1
set end=%time%
call :checkErrorLog %errorlogFile%
if exist %errorlogFile% call :moveErrorLog %1
echo %OK%;%~f1;%~z1;%start%;%end%;%errorsSize%
goto :EOF

:checkErrorLog
set OK=0
set errorsSize=0
if not exist %errorlogFile% goto :EOF
set errorsSize=%~z1
if %~z1 equ 0 (
  set OK=1
  del %errorlogFile%
)
goto :EOF
if not "%codec%"=="" (
  if %~z1 equ 145 (
    set OK=1
    del %errorlogFile%
  )
)
goto :EOF

:moveErrorLog
if not exist errorLogs\%~p1 (
mkdir errorLogs\%~p1
)
copy %errorlogFile% errorLogs\%~p1\%~n1.log 1>nul
del %errorlogFile%
goto :EOF